> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建 EVM 网络静态收款地址

> 针对同一个客户，创建可同时对应多网络的静态收款地址，仅针对 EVM 网络

**注意**: 同一个 channelId 下，一个网络仅允许创建一个静态收款地址，不能重复创建

## 概述

本页说明 `POST /merchant/open/institution/v1/pay/fixedaddress/evm/save` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/fixed-address-openapi.json POST /merchant/open/institution/v1/pay/fixedaddress/evm/save
openapi: 3.1.0
info:
  title: GatePay API - 静态收款地址
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /merchant/open/institution/v1/pay/fixedaddress/evm/save:
    post:
      tags:
        - 静态收款地址
      summary: 创建 EVM 网络静态收款地址
      description: |-
        针对同一个客户，创建可同时对应多网络的静态收款地址，仅针对 EVM 网络

        **注意**: 同一个 channelId 下，一个网络仅允许创建一个静态收款地址，不能重复创建
      operationId: saveEvmFixedAddress
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveEvmFixedAddressRequest'
            examples:
              default:
                value:
                  channelId: smart_shop
                  callbackUrl: https://www.abc.com/callback
                  chianCurrencyInfos:
                    - chain: ETH
                      currencies:
                        - USDS
                        - USDT
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveEvmFixedAddressResponse'
              examples:
                success:
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      channelId: susie
                      address: '0xE74ac03A2d34A9cEce0A6547b1758C7A8fA10230'
                      callbackUrl: https://www.abc123.com/callback
                      chainInfos:
                        - chainShowEn: BSC/BEP20
                          currencies:
                            - USDT
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '3525756760'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    SaveEvmFixedAddressRequest:
      type: object
      required:
        - channelId
        - callbackUrl
        - chianCurrencyInfos
      properties:
        channelId:
          type: string
          description: 客户名称，只支持字母、数字、下划线和破折号，长度不超过 50 字节
        callbackUrl:
          type: string
          description: 该渠道到账回调地址，长度不超过 128 字节
        chianCurrencyInfos:
          type: array
          items:
            $ref: '#/components/schemas/ChianCurrencyInfo'
          description: 网络和币种信息
    SaveEvmFixedAddressResponse:
      type: object
      properties:
        status:
          type: string
          description: 响应状态
          example: SUCCESS
          enum:
            - SUCCESS
            - FAIL
        code:
          type: string
          description: 响应码
          example: '000000'
        errorMessage:
          type: string
          description: 错误信息
          example: ''
        data:
          type: object
          properties:
            channelId:
              type: string
              description: 客户名称
            address:
              type: string
              description: 收款地址
            callbackUrl:
              type: string
              description: 该渠道下的收款消息回调地址
            chainInfos:
              type: array
              items:
                $ref: '#/components/schemas/ChainInfo'
              description: 包含网络以及网络所支持的币种
    ChianCurrencyInfo:
      type: object
      required:
        - chain
      properties:
        chain:
          type: string
          description: 网络名称。仅支持 EVM 网络：ETH,MATIC,ARBEVM,BSC
        currencies:
          type: array
          items:
            type: string
          description: 该网络上的收款币种列表，不传默认该网络下的所有币种
    ChainInfo:
      type: object
      properties:
        chainShowEn:
          type: string
          description: 网络的英文名
        currencies:
          type: array
          items:
            type: string
          description: 该网络上的收款币种列表

````